Base64InputStream.Builder (Apache Commons Codec 1.22.0 API)
Description: declaration: package: org.apache.commons.codec.binary, class: Base64InputStream, class: Builder

Package org.apache.commons.codec.binary

# Class Base64InputStream.Builder

java.lang.Object
org.apache.commons.codec.binary.AbstractBaseNCodecStreamBuilder<Base64InputStream,Base64,Base64InputStream.Builder>
org.apache.commons.codec.binary.BaseNCodecInputStream.AbstracBuilder<Base64InputStream,Base64,Base64InputStream.Builder>
org.apache.commons.codec.binary.Base64InputStream.Builder

All Implemented Interfaces:
  `Supplier<Base64InputStream>`

Enclosing class:
  `Base64InputStream`

public static class Base64InputStream.Builder extends BaseNCodecInputStream.AbstracBuilder<Base64InputStream,Base64,Base64InputStream.Builder>
Builds instances of Base64InputStream.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Base64InputStream`
  `get()`
  `protected Base64`
  `newBaseNCodec()`
  Creates a new BaseNCodec subclass of type C.

  ### Methods inherited from class org.apache.commons.codec.binary.BaseNCodecInputStream.AbstracBuilder

  `getInputStream, setByteArray, setInputStream`

  ### Methods inherited from class org.apache.commons.codec.binary.AbstractBaseNCodecStreamBuilder

  `getBaseNCodec, getEncode, setBaseNCodec, setEncode`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder()
    Constructs a new instance.

- ## Method Details

  - ### get

    public Base64InputStream get()

  - ### newBaseNCodec

    protected Base64 newBaseNCodec()
    Description copied from class: `AbstractBaseNCodecStreamBuilder`
    Creates a new BaseNCodec subclass of type C.
    Specified by:
      `newBaseNCodec` in class `AbstractBaseNCodecStreamBuilder<Base64InputStream,Base64,Base64InputStream.Builder>`
    Returns:
      a new BaseNCodec subclass of type C.